package com.yonge.cooleshow.auth.api.dto;

import io.swagger.annotations.ApiModelProperty;
import com.yonge.toolset.base.page.QueryInfo;

public class MenuQueryInfo extends QueryInfo{
    @ApiModelProperty(value = "父节点编号，默认0",required = false)
    private Long parentId = 0L;

    @ApiModelProperty(value = "节点状态，默认0未删除，1删除",required = false)
    private String delFlag = "0";

    @ApiModelProperty(value = "节点状态，默认0显示，1不显示",required = false)
    private Integer hid;

    @ApiModelProperty(value = "声部编号",required = false)
    private Integer subjectId;

    private Long userId;

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public Integer getHid() {
        return hid;
    }

    public void setHid(Integer hid) {
        this.hid = hid;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }
}
